#
# spec file for package finger (Version 1.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           finger
License:        BSD-3-Clause
Group:          Productivity/Networking/Other
Requires:       netcfg
Version:        1.3
Release:        167.5
Summary:        Show User Information (Client)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         finger-bsd-%version.tar.bz2
Source1:        finger.xinetd
Source2:        finger.firewall
Patch1:         finger-utf8_segfault.patch
Patch2:         finger-memory-leak.patch

%description
Finger is a utility that allows users to see information about system
users (login name, home directory, name, and more) on local and remote
systems.



%package server
License:        BSD-3-Clause
Summary:        A Server for Showing User Information
Group:          Productivity/Networking/Other
Requires:       netcfg
%description server
The finger daemon implements a simple protocol based on RFC1196 that
provides an interface to the Name and Finger programs at several
network sites. The program is supposed to return a friendly
human-oriented status report on either the system at the moment or a
particular person.



%prep
%setup -q -n finger-bsd-%version
%patch1
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fpie" LDFLAGS="-pie"
%configure
make

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man5
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
make install DESTDIR=$RPM_BUILD_ROOT INSTALL_PROGRAM="install -m 755"
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/xinetd.d/finger
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/
install -m 644 %{S:2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}-server
%find_lang finger-bsd

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/finger
%doc %{_mandir}/man1/finger.1.gz

%files server -f finger-bsd.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%doc %{_mandir}/man8/fingerd.8.gz
%doc %{_mandir}/man8/in.fingerd.8.gz
%config(noreplace) /etc/xinetd.d/finger
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}-server
%{_sbindir}/in.fingerd

%changelog
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Fri Jul 30 2010 pgajdos@suse.cz
- fixed memory leak and wrong return [bnc#538765]
* Sun Mar 16 2008 crrodriguez@suse.de
- fix file-not-in-lang problems
* Mon Jan  7 2008 mskibbe@suse.de
- Bug 351197 - several packages use wrong dir for SuSEfirewall2
  services files
* Tue Mar 27 2007 mskibbe@suse.de
- finger segfaults against files with a UTF-8 encoding and no LANG
  environment variable( #247625 )
* Fri Mar  2 2007 mskibbe@suse.de
- change path to firewall script (#247352)
* Wed Feb 28 2007 mskibbe@suse.de
- finger-server - Ports for SuSEfirewall added via packages
  (#247367)
* Mon May 22 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 16 2005 mmj@suse.de
- Compile with -fpie, link with -pie
* Thu Jun  2 2005 kukuk@suse.de
- Update to version 1.3 (-fpie/-pie support, update from CVS)
* Tue Feb 10 2004 kukuk@suse.de
- Update to version 1.2 (Convert UTF-8 input from passwd to local
  locale).
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
* Tue May 13 2003 mmj@suse.de
- Package all files
- Use %%defattr
* Tue Jan 14 2003 kukuk@suse.de
- Add xinetd config file
* Fri Feb 22 2002 kukuk@suse.de
- Fix problems with locales [Bug #13592]:
  - correct setlocale call
  - use isprint to check for printable characters
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Fri Mar  9 2001 kukuk@suse.de
- Initial package, split from nkitb
